﻿// See https://aka.ms/new-console-template for more information
// Console.WriteLine("Hello, World!");

using EFlib;
using StubLib;

//StubData stub = new StubData();
//stub.ChampionsMgr.GetItems(0, 5);


EFChampion boss1 = new EFChampion { Name = "bigBoss", Bio = "KingOfMetal", Icon = "vide" };
EFChampion boss2 = new EFChampion { Name = "Soon", Bio = "Indomptable", Icon = "vide" };
EFChampion boss3 = new EFChampion { Name = "doctorWho", Bio = "Le silence", Icon="vide" };

using (var context = new SQLiteContext())
{
    // Crée des EFChampion et les insère dans la base
    Console.WriteLine("Creates and inserts new EFChampion");
    context.Add(boss1);
    context.Add(boss2);
    context.Add(boss3);
    context.SaveChanges();
}

using (var context = new SQLiteContext())
{
    foreach (var n in context.Champions)
    {
        Console.WriteLine($"{n.Id} - {n.Name}");
    }
    context.SaveChanges();
}
