﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EFlib
{
    public class SQLiteContext : DbContext
    {
        /**** Attributs ****/
        public DbSet<EFChampion> Champions { get; set; }


        /**** Méthodes ****/
        public SQLiteContext()
        { }

        public SQLiteContext(DbContextOptions<SQLiteContext> options)
            : base(options)
        { }
        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            if (!optionsBuilder.IsConfigured)
            {
                optionsBuilder.UseSqlite($"Data Source=projet.dbloulou.db");
            }
        }
   
    }
}
